#
# spec file for package python3-Attest
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-Attest
#NOTE(saschpe): Use git version, has some py3 fixes already:
Version:        0.5.3+git20120130
Release:        2.6
Url:            https://github.com/dag/attest
Summary:        Modern, Pythonic unit testing
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         Attest-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-Pygments
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-progressbar >= 2.3
BuildRequires:  python3-six
Requires:       python3-Pygments
Requires:       python3-progressbar >= 2.3
Requires:       python3-six
BuildArch:      noarch

%description
Attest is a unit testing framework built from the ground up with idiomatic
Python in mind. Unlike others, it is not built on top of unittest though it
provides compatibility by creating TestSuites from Attest collections.

It has a functional API inspired by Flask and a class-based API that
mimics Python itself. The core avoids complicated assumptions leaving you
free to write tests however you prefer.

%prep
%setup -q -n Attest-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#NOTE(saschpe): Currently broken in git, let's wait for the next release:
#%%check
#python3 setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE CHANGES.rst README.rst docs/*
%{_bindir}/attest
%{python3_sitelib}/*

%changelog
* Wed Jan 30 2013 saschpe@suse.de
- Forgot noarch
* Wed Jan 30 2013 saschpe@suse.de
- Upgrade to git interim version:
  + Contains some useful py3k fixes
- BuildRequire python-six
- Drop unused macros
* Sat Jan 12 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 0.5.3:
  + Fix the installation: depend on progressbar>=2.3, not 2.3-dev.
    (setuptools considers 2.3 earlier than 2.3-dev.)
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
